VirtualBox Main API

Public Attributes | List of all members
IPlatform Interface Reference

Platform object for a virtual machine. More...

Inheritance diagram for IPlatform:

## Public Attributes
attribute PlatformArchitecture | architecture
| Returns the platform architecture.
readonly attribute IPlatformProperties | properties
| Returns the platform properties.
readonly attribute IPlatformX86 | x86
| Platform object for x86-specific platform properties.
readonly attribute IPlatformARM | ARM
| Platform object for ARM-specific platform properties.
attribute ChipsetType | chipsetType
| Chipset type used in this VM.
attribute IommuType | iommuType
| IOMMU type used in this VM.
attribute boolean | RTCUseUTC
| When set to true, the RTC device of the virtual machine will run in UTC time, otherwise in local time.

## Detailed Description

Platform object for a virtual machine.

Accessed via IMachine::platform.

Interface ID:
  `{A670A023-E172-452C-B731-14EF855F4DA6}`

## Member Data Documentation

## ◆ architecture

attribute PlatformArchitecture IPlatform::architecture

Returns the platform architecture.

Changing this means settings for the previously selected architecture will be discarded and replaced by defaults.

Expected result codes:

  E_NOTIMPL | Not implemented yet.

Note
  Setting the platform architecture currently is not implemented yet.

## ◆ properties

readonly attribute IPlatformProperties IPlatform::properties

Returns the platform properties.

## ◆ x86

readonly attribute IPlatformX86 IPlatform::x86

Platform object for x86-specific platform properties.

Changes to this object will not necessarily be preserved unless IPlatform::architecture is set to PlatformArchitecture_x86.

Expected result codes:

  VBOX_E_PLATFORM_ARCH_NOT_SUPPORTED | Current platform architecture is not x86.

## ◆ ARM

readonly attribute IPlatformARM IPlatform::ARM

Platform object for ARM-specific platform properties.

Changes to this object will not necessarily be preserved unless IPlatform::architecture is set to PlatformArchitecture_ARM.

Expected result codes:

  VBOX_E_PLATFORM_ARCH_NOT_SUPPORTED | Current platform architecture is not ARM.

## ◆ chipsetType

attribute ChipsetType IPlatform::chipsetType

Chipset type used in this VM.

## ◆ iommuType

attribute IommuType IPlatform::iommuType

IOMMU type used in this VM.

## ◆ RTCUseUTC

attribute boolean IPlatform::RTCUseUTC

When set to true, the RTC device of the virtual machine will run in UTC time, otherwise in local time.

Especially Unix guests prefer the time in UTC.